{
  "compilerOptions": {
    "target": "ESNext",
    "jsx": "preserve",
    "lib": ["DOM", "ESNext"],
    "useDefineForClassFields": true,
    "experimentalDecorators": true,
    "baseUrl": ".",
    "module": "ESNext",

    /* Bundler mode */
    "moduleResolution": "node",
    "paths": {
      "/#/*": [
        "types/*"
      ],
      "@/*": ["./src/*"]
    },
    "resolveJsonModule": true,
    "typeRoots": [
      "./node_modules/@types/",
      "./types",
      "./node_modules/vite-plugin-svg-icons/client"
    ],

    /* Linting */
    "strict": true,
    "strictFunctionTypes": false,
    "noImplicitAny": false,
    "noUnusedLocals": true,
    "sourceMap": true,
    "allowSyntheticDefaultImports": true,
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "isolatedModules": true,
    "skipLibCheck": true

  },
  "references": [{ "path": "./tsconfig.node.json" }],
  "include": [
    "src/**/*.ts",
    "src/**/*.d.ts",
    "src/**/*.tsx",
    "src/**/*.vue",
    "types/**/*.d.ts",
    "types/**/*.ts",
    "build/**/*.ts",
    "build/**/*.d.ts",
    "mock/**/*.ts",
    "components.d.ts",
    "vite.config.ts",
    "tsconfig.node.json",
    "src/utils/exportExcel.js"],
  "exclude": [
    "node_modules",
    "dist",
    "**/*.js"
  ]
}
